__BIO_CLONE_FAST(9)

NAME
__bio_clone_fast - clone a bio that shares the original bio's biovec

SYNOPSIS

void __bio_clone_fast(struct bio * bio, struct bio * bio_src);

ARGUMENTS

bio
    destination bio

bio_src
    bio to clone

DESCRIPTION

Clone a bio. Caller will own the returned bio, but not the actual data it points to. Reference count of returned bio will be one.

Caller must ensure that bio_src is not freed before bio.

COPYRIGHT